- [HTTP request](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1beta1/organizations.locations.workloads/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1beta1/organizations.locations.workloads/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1beta1/organizations.locations.workloads/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1beta1/organizations.locations.workloads/list.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1beta1/organizations.locations.workloads/list.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1beta1/organizations.locations.workloads/list.md.txt#body.ListWorkloadsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1beta1/organizations.locations.workloads/list.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1beta1/organizations.locations.workloads/list.md.txt#body.aspect_1)

Lists Assured Workloads under a CRM Node.

### HTTP request

`GET https://{endpoint}/v1beta1/{parent=organizations/*/locations/*}/workloads`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/assured-workloads/docs/reference/rest.md.txt#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent Resource to list workloads from. Must be of the form `organizations/{org_id}/locations/{location}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `assuredworkloads.workload.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Page size. |
| `pageToken` | `string` Optional. Page token returned from previous request. Page token contains context from previous request. Page token needs to be passed in the second and following requests. |
| `filter` | `string` Optional. A custom filter for filtering by properties of a workload. At this time, only filtering by labels is supported. |

### Request body

The request body must be empty.

### Response body

Response of workloads.list endpoint.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "workloads": [ { object (`Workload`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `workloads[]` | ``object (`Workload`)`` List of Workloads under a given parent. |
| `nextPageToken` | `string` The next page token. Return empty if reached the last page. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/assuredworkloads`
- `https://www.googleapis.com/auth/assuredworkloads.readonly`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `assuredworkloads.workload.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).